aboutsummaryrefslogtreecommitdiffstats
path: root/testing/git-secret/dont-hide-gpg-output.patch
diff options
context:
space:
mode:
authorMateusz Gozdek <mgozdekof@gmail.com>2019-04-18 09:54:42 +0200
committerAndy Postnikov <apostnikov@gmail.com>2019-04-19 02:08:07 +0300
commitc356cce42674c0b627adb85c9a0884ae4cea7122 (patch)
treefa63938d617806c78b508108b6ae8e9847ed754b /testing/git-secret/dont-hide-gpg-output.patch
parent3d087765f687f814be88fb8c1eb755abbe933e7d (diff)
testing/git-secret: update to 0.2.5
* drop passhprase input patch, since it's included in upstream * rebase remaining patches Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
Diffstat (limited to 'testing/git-secret/dont-hide-gpg-output.patch')
-rw-r--r--testing/git-secret/dont-hide-gpg-output.patch29
1 files changed, 8 insertions, 21 deletions
diff --git a/testing/git-secret/dont-hide-gpg-output.patch b/testing/git-secret/dont-hide-gpg-output.patch
index a6045e9a87f..234834fe6ff 100644
--- a/testing/git-secret/dont-hide-gpg-output.patch
+++ b/testing/git-secret/dont-hide-gpg-output.patch
@@ -1,26 +1,13 @@
Goddamn, don't make troubleshooting impossible!
---- a/src/_utils/_git_secret_tools.sh
-+++ b/src/_utils/_git_secret_tools.sh
-@@ -279,8 +279,8 @@
- if [[ ! -z "$passphrase" ]]; then
- echo "$passphrase" | $base --batch --yes --no-tty --passphrase-fd 0 \
- --passphrase-fd 0 --pinentry-mode loopback \
-- "$encrypted_filename" > /dev/null 2>&1
-+ --quiet "$encrypted_filename"
- else
-- $base "$encrypted_filename" > /dev/null 2>&1
-+ $base "$encrypted_filename"
- fi
- }
--- a/src/commands/git_secret_tell.sh
+++ b/src/commands/git_secret_tell.sh
-@@ -64,7 +64,7 @@
- fi
-
+@@ -95,7 +95,7 @@ function tell {
# Importing public key to the local keychain:
-- $GPGLOCAL --import "$keyfile" > /dev/null 2>&1
-+ $GPGLOCAL --import "$keyfile"
- done
-
- echo "done. ${emails[*]} added as someone who know(s) the secret."
+ local secrets_dir_keys
+ secrets_dir_keys=$(_get_secrets_dir_keys)
+- $SECRETS_GPG_COMMAND --homedir "$secrets_dir_keys" --no-permission-warning --import "$keyfile" > /dev/null 2>&1
++ $SECRETS_GPG_COMMAND --homedir "$secrets_dir_keys" --no-permission-warning --import "$keyfile"
+ exit_code=$?
+ if [[ "$exit_code" -ne 0 ]]; then
+ _abort "problem importing public key for '$email' with gpg: exit code $exit_code"